## begin license ##
#
#    Slowfoot is an integration system for web-based applications.
#    Copyright (C) 2005-2009 Seek You Too B.V. (CQ2) http://www.cq2.nl
#
#    This file is part of Slowfoot.
#
#    Slowfoot is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Slowfoot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Slowfoot; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
## end license ##
form = """
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="filename"


-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="herkenbarenaam"

GoneFishing.bmp
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="originalfilenames"

GoneFishing.bmp
PrairieWind.bmp Folder
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="id"

c847de3d-f19e-4023-aac7-25e0d588658a
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="aanwinst.edit"


-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="jaar"

2005
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="aanwinstdatum"

2005-07-27
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="volgnummer"

1042
-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="aantekeningen"


-----------------------------956457166810408021966133990
Content-Disposition: form-data; name="submit"

Opslaan
-----------------------------956457166810408021966133990--
"""

import unittest
from slowfooturl import SlowfootURL
class TestForm(unittest.TestCase):
	
	def testPostForm(self):
		url = SlowfootURL('http://localhost/echo')
		response = url.post(form)
		self.assertEquals('', response)

	def testPostHeaders(self):
		url = SlowfootURL('http://localhost/echo-headers')
		response = url.post(form)
		self.assertEquals('', response)

if __name__ == '__main__': unittest.main()

	
